#
# spec file for package python
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global modname pycxx
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-%{modname}
Version:        7.0.3
Release:        lp152.3.3
Summary:        Python extensions in C++
License:        BSD-3-Clause
Group:          Development/Libraries/Python
URL:            http://CXX.sourceforge.net/
Source0:        http://downloads.sourceforge.net/cxx/%{modname}-%{version}.tar.gz
Patch0:         python-pycxx-7.0.3-python37.patch
Patch1:         python-pycxx-7.0.3-change-include-paths.patch
Patch2:         python-pycxx-7.0.3-setup.py.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  gcc-c++
BuildRequires:  python-rpm-macros
Obsoletes:      python-cxx < %{version}
Provides:       python-cxx = %{version}
Obsoletes:      python-CXX < %{version}
Provides:       python-CXX = %{version}
BuildArch:      noarch
%ifpython2
Obsoletes:      %{oldpython}-cxx < %{version}
Provides:       %{oldpython}-cxx = %{version}
%endif
%python_subpackages

%description
PyCXX is a set of classes to help create extensions of Python in the
C++ language. The first part encapsulates the Python C API taking care
of exceptions and ref counting. The second part supports the building
of Python extension modules in C++.

%package devel
Summary:        Development files for %{modname} applications
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Obsoletes:      python-cxx-devel < %{version}
Provides:       python-cxx-devel = %{version}
Obsoletes:      python-CXX-devel < %{version}
Provides:       python-CXX-devel = %{version}
%ifpython2
Obsoletes:      %{oldpython}-cxx-devel < %{version}
Provides:       %{oldpython}-cxx-devel = %{version}
%endif

%description devel
PyCXX is a set of classes to help create extensions of Python in the
C++ language. The first part encapsulates the Python C API taking care
of exceptions and ref counting. The second part supports the building
of Python extension modules in C++.

%prep
%setup -q -n %{modname}-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install

%files %{python_files}
%license COPYRIGHT
%doc README.html
%{python_sitelib}/CXX*

%files %{python_files devel}
%python2_only %doc Doc/Python2/
%python3_only %doc Doc/Python3/
%python2_only %{_datadir}/python%{python2_bin_suffix}
%python3_only %{_datadir}/python%{python3_bin_suffix}
%{python_sysconfig_path include}

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Aug  9 2018 tchvatal@suse.com
- Add provides/obsoletes for python-CXX as pycxx is upstream name
  and name used in Fedora/Debian so we rather stick with this one
  and remove python-CXX
* Thu Aug  9 2018 tchvatal@suse.com
- Initial package, used by pysvn
- Apply patches from Fedora:
  * python-pycxx-7.0.3-python37.patch
  * python-pycxx-7.0.3-change-include-paths.patch
  * python-pycxx-7.0.3-setup.py.patch
